# DataExchange
TKIGES
IGESSolid

# IGESSolid_Ellipsoid Class Reference

defines Ellipsoid, Type <168> Form Number <0>
in package IGESSolid
The ellipsoid is a solid bounded by the surface defined
by:
X^2 Y^2 Z^2
----- + ----- + ----- = 1
LX^2 LY^2 LZ^2

`#include <IGESSolid_Ellipsoid.hxx>`

Inheritance diagram for IGESSolid_Ellipsoid:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSolid_Ellipsoid ()
Standard_EXPORT void | Init (const gp_XYZ &aSize, const gp_XYZ &aCenter, const gp_XYZ &anXAxis, const gp_XYZ &anZAxis)
| This method is used to set the fields of the class Ellipsoid - aSize : Lengths in the local X,Y,Z directions - aCenter : Center point of ellipsoid (default (0,0,0)) - anXAxis : Unit vector defining local X-axis default (1,0,0) - anZAxis : Unit vector defining local Z-axis default (0,0,1) .
Standard_EXPORT gp_XYZ | Size () const
| returns the size
Standard_EXPORT Standard_Real | XLength () const
| returns the length in the local X-direction
Standard_EXPORT Standard_Real | YLength () const
| returns the length in the local Y-direction
Standard_EXPORT Standard_Real | ZLength () const
| returns the length in the local Z-direction
Standard_EXPORT gp_Pnt | Center () const
| returns the center of the ellipsoid
Standard_EXPORT gp_Pnt | TransformedCenter () const
| returns the center of the ellipsoid after applying TransformationMatrix
Standard_EXPORT gp_Dir | XAxis () const
| returns the vector corresponding to the local X-direction
Standard_EXPORT gp_Dir | TransformedXAxis () const
| returns the vector corresponding to the local X-direction after applying TransformationMatrix
Standard_EXPORT gp_Dir | YAxis () const
| returns the vector corresponding to the local Y-direction which is got by taking cross product of ZAxis and XAxis
Standard_EXPORT gp_Dir | TransformedYAxis () const
| returns the vector corresponding to the local Y-direction (which is got by taking cross product of ZAxis and XAxis) after applying TransformationMatrix
Standard_EXPORT gp_Dir | ZAxis () const
| returns the vector corresponding to the local Z-direction
Standard_EXPORT gp_Dir | TransformedZAxis () const
| returns the vector corresponding to the local Z-direction after applying TransformationMatrix
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_XYZ | theSize
gp_XYZ | theCenter
gp_XYZ | theXAxis
gp_XYZ | theZAxis

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_Ellipsoid::IGESSolid_Ellipsoid | ( |  | ) |

## Member Function Documentation

Standard_EXPORT gp_Pnt IGESSolid_Ellipsoid::Center | ( |  | ) | const

Standard_EXPORT const IGESSolid_Ellipsoid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_Ellipsoid::Init | ( | const gp_XYZ & | aSize,
|  | const gp_XYZ & | aCenter,
|  | const gp_XYZ & | anXAxis,
|  | const gp_XYZ & | anZAxis
| ) |

Standard_EXPORT gp_XYZ IGESSolid_Ellipsoid::Size | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_Ellipsoid::TransformedCenter | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_Ellipsoid::TransformedXAxis | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_Ellipsoid::TransformedYAxis | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_Ellipsoid::TransformedZAxis | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_Ellipsoid::XAxis | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_Ellipsoid::XLength | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_Ellipsoid::YAxis | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_Ellipsoid::YLength | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_Ellipsoid::ZAxis | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_Ellipsoid::ZLength | ( |  | ) | const

## Field Documentation

gp_XYZ IGESSolid_Ellipsoid::theCenter `[private]`

gp_XYZ IGESSolid_Ellipsoid::theSize `[private]`

gp_XYZ IGESSolid_Ellipsoid::theXAxis `[private]`

gp_XYZ IGESSolid_Ellipsoid::theZAxis `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_Ellipsoid.hxx